Bug 443706 - Crash in WindowShadowTile::~WindowShadowTile()
Summary: Crash in WindowShadowTile::~WindowShadowTile()
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: generic-crash (show other bugs)
Version: 5.24.4
Platform: Neon Packages Linux
: HI crash
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: drkonqi, wayland
: 428311 449812 450506 450523 451287 453424 455157 456037 456040 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-10-14 12:54 UTC by Patrick Silva
Modified: 2022-07-15 06:20 UTC (History)
14 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (9.85 KB, text/plain)
2021-11-23 06:52 UTC, Dipta Biswas
Details
New crash information added by DrKonqi (5.47 KB, text/plain)
2021-12-26 13:15 UTC, Antonio Chirizzi
Details
New crash information added by DrKonqi (9.06 KB, text/plain)
2022-05-01 14:20 UTC, Jacob Chodubski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2021-10-14 12:54:19 UTC
Application: plasmashell (5.23.80)

Qt Version: 5.15.3
Frameworks Version: 5.88.0
Operating System: Linux 5.11.0-37-generic x86_64
Windowing System: Wayland
Distribution: KDE neon Unstable Edition
DrKonqi: 5.23.80 [CoredumpBackend]

-- Information about the crash:
- What I was doing when the application crashed:
Sometimes drkonqi icon appears in system tray after restarting plasmashell process manually on Wayland
with 'plasmashell --replace'.

The crash can be reproduced sometimes.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Content of s_kcrashErrorMessage: std::unique_ptr<char []> = {get() = 0x0}
[New LWP 4932]
[New LWP 4959]
[New LWP 4937]
[New LWP 4942]
[New LWP 4972]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `/usr/bin/plasmashell --replace'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  __GI_raise (sig=sig@entry=11) at ../sysdeps/unix/sysv/linux/raise.c:50
[Current thread is 1 (Thread 0x7ff0fc5859c0 (LWP 4932))]
__preamble__

[Current thread is 1 (Thread 0x7ff0fc5859c0 (LWP 4932))]

Thread 5 (Thread 0x7ff0d1c4c700 (LWP 4972)):
#0  0x00007ff100431aff in __GI___poll (fds=0x7ff0bc004a80, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff0fecdc36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7ff0bc004a80, timeout=<optimized out>, context=0x7ff0bc000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7ff0bc000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff0fecdc4a3 in g_main_context_iteration (context=0x7ff0bc000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff100a015d2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff0bc000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007ff1009a587b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff0d1c4bbc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff1007bf292 in QThread::exec() (this=this@entry=0x56066561b7a0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff0d2075669 in QQuickXmlQueryEngine::run() (this=0x56066561b7a0) at qqmlxmllistmodel.cpp:325
#8  0x00007ff1007c042c in QThreadPrivate::start(void*) (arg=0x56066561b7a0) at thread/qthread_unix.cpp:329
#9  0x00007ff0ff70e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff10043e293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7ff0f1a7e700 (LWP 4942)):
#0  0x00007ff100431aff in __GI___poll (fds=0x7ff0d4004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff0fecdc36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7ff0d4004e60, timeout=<optimized out>, context=0x7ff0d4000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7ff0d4000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff0fecdc4a3 in g_main_context_iteration (context=0x7ff0d4000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff100a015d2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff0d4000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007ff1009a587b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff0f1a7dbc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff1007bf292 in QThread::exec() (this=this@entry=0x56065faf54d0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff101fd0549 in QQmlThreadPrivate::run() (this=0x56065faf54d0) at qml/ftw/qqmlthread.cpp:155
#8  0x00007ff1007c042c in QThreadPrivate::start(void*) (arg=0x56065faf54d0) at thread/qthread_unix.cpp:329
#9  0x00007ff0ff70e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff10043e293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7ff0fbc2c700 (LWP 4937)):
#0  0x00007ff100431aff in __GI___poll (fds=0x7ff0f4005240, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff0fecdc36e in g_main_context_poll (priority=<optimized out>, n_fds=3, fds=0x7ff0f4005240, timeout=<optimized out>, context=0x7ff0f4000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7ff0f4000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff0fecdc4a3 in g_main_context_iteration (context=0x7ff0f4000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff100a015d2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff0f4000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007ff1009a587b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff0fbc2bbb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff1007bf292 in QThread::exec() (this=this@entry=0x7ff1013b6d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff101332f4b in QDBusConnectionManager::run() (this=0x7ff1013b6d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007ff1007c042c in QThreadPrivate::start(void*) (arg=0x7ff1013b6d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:329
#9  0x00007ff0ff70e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff10043e293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7ff0ea84e700 (LWP 4959)):
#0  0x00007ff100431aff in __GI___poll (fds=0x7ff0d800e0e0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ff0fecdc36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7ff0d800e0e0, timeout=<optimized out>, context=0x7ff0d80127e0) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7ff0d80127e0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007ff0fecdc4a3 in g_main_context_iteration (context=0x7ff0d80127e0, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007ff100a015d2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff0d8012bc0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007ff1009a587b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff0ea84dba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007ff1007bf292 in QThread::exec() (this=this@entry=0x560661d73ae0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007ff10236a3ba in QQuickPixmapReader::run() (this=0x560661d73ae0) at util/qquickpixmapcache.cpp:1024
#8  0x00007ff1007c042c in QThreadPrivate::start(void*) (arg=0x560661d73ae0) at thread/qthread_unix.cpp:329
#9  0x00007ff0ff70e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007ff10043e293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7ff0fc5859c0 (LWP 4932)):
[KCrash Handler]
#3  0x0000000000000020 in  ()
#4  0x00007ff0f21e7c01 in QScopedPointerDeleter<KWayland::Client::ShmPool>::cleanup(KWayland::Client::ShmPool*) (pointer=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qscopedpointer.h:52
#5  QScopedPointer<KWayland::Client::ShmPool, QScopedPointerDeleter<KWayland::Client::ShmPool> >::~QScopedPointer() (this=0x560668c056b0, __in_chrg=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qscopedpointer.h:107
#6  WindowShadowTile::~WindowShadowTile() (this=0x560668c05670, __in_chrg=<optimized out>) at ./src/windowsystem/windowshadow.cpp:18
#7  0x00007ff0f21e7c3d in WindowShadowTile::~WindowShadowTile() (this=0x560668c05670, __in_chrg=<optimized out>) at ./src/windowsystem/windowshadow.cpp:18
#8  0x00007ff102de9d62 in QtSharedPointer::ExternalRefCountWithContiguousData<KWindowShadowTile>::deleter(QtSharedPointer::ExternalRefCountData*) (self=0x560668fb1ce0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qsharedpointer_impl.h:248
#9  0x00007ff101c21b24 in QtSharedPointer::ExternalRefCountData::destroy() (this=0x560668fb1ce0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qsharedpointer_impl.h:149
#10 QSharedPointer<KWindowShadowTile>::deref(QtSharedPointer::ExternalRefCountData*) (dd=0x560668fb1ce0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qsharedpointer_impl.h:458
#11 QSharedPointer<KWindowShadowTile>::deref(QtSharedPointer::ExternalRefCountData*) (dd=0x560668fb1ce0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qsharedpointer_impl.h:454
#12 QSharedPointer<KWindowShadowTile>::deref() (this=0x5606694ceea8) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qsharedpointer_impl.h:453
#13 QSharedPointer<KWindowShadowTile>::~QSharedPointer() (this=0x5606694ceea8, __in_chrg=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qsharedpointer_impl.h:310
#14 KWindowShadowPrivate::~KWindowShadowPrivate() (this=0x5606694cee20, __in_chrg=<optimized out>) at ./src/kwindowshadow.cpp:279
#15 0x00007ff0f21e86df in non-virtual thunk to WindowShadow::~WindowShadow() () at /usr/include/c++/9/bits/atomic_base.h:413
#16 0x00007ff101c21aaa in QScopedPointerDeleter<KWindowShadowPrivate>::cleanup(KWindowShadowPrivate*) (pointer=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qscopedpointer.h:52
#17 QScopedPointer<KWindowShadowPrivate, QScopedPointerDeleter<KWindowShadowPrivate> >::~QScopedPointer() (this=0x560662cddc60, __in_chrg=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qscopedpointer.h:107
#18 KWindowShadow::~KWindowShadow() (this=0x560662cddc50, __in_chrg=<optimized out>) at ./src/kwindowshadow.cpp:63
#19 0x00007ff101c21acd in KWindowShadow::~KWindowShadow() (this=0x560662cddc50, __in_chrg=<optimized out>) at ./src/kwindowshadow.cpp:63
#20 0x00007ff1009d139e in QObjectPrivate::deleteChildren() (this=0x560668c87b20) at kernel/qobject.cpp:2104
#21 0x00007ff1009dbdc6 in QObject::~QObject() (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1082
#22 0x00007ff102ae979c in Plasma::Svg::~Svg() (this=0x7ff102e36200 <(anonymous namespace)::Q_QGS_privateDialogShadowsSelf::innerFunction()::holder>, __in_chrg=<optimized out>) at /home/stalker/plasma-framework/src/plasma/svg.cpp:850
#23 0x00007ff102de6f66 in DialogShadows::~DialogShadows() (this=0x7ff102e36200 <(anonymous namespace)::Q_QGS_privateDialogShadowsSelf::innerFunction()::holder>, __in_chrg=<optimized out>) at /home/stalker/plasma-framework/src/plasmaquick/dialogshadows.cpp:60
#24 0x00007ff102de8cfc in DialogShadowsSingleton::~DialogShadowsSingleton() (this=0x7ff102e36200 <(anonymous namespace)::Q_QGS_privateDialogShadowsSelf::innerFunction()::holder>, __in_chrg=<optimized out>) at /home/stalker/plasma-framework/src/plasmaquick/dialogshadows.cpp:40
#25 0x00007ff102de6dac in (anonymous namespace)::Q_QGS_privateDialogShadowsSelf::Holder::~Holder() (this=0x7ff102e36200 <(anonymous namespace)::Q_QGS_privateDialogShadowsSelf::innerFunction()::holder>, __in_chrg=<optimized out>) at /home/stalker/plasma-framework/src/plasmaquick/dialogshadows.cpp:50
#26 0x00007ff100365a27 in __run_exit_handlers (status=0, listp=0x7ff100507718 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true, run_dtors=run_dtors@entry=true) at exit.c:108
#27 0x00007ff100365be0 in __GI_exit (status=<optimized out>) at exit.c:139
#28 0x00007ff1003430ba in __libc_start_main (main=0x56065e2ace90 <main(int, char**)>, argc=2, argv=0x7ffd96ad48d8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffd96ad48c8) at ../csu/libc-start.c:342
#29 0x000056065e2ade1e in _start () at ./shell/main.cpp:199

Possible duplicates by query: bug 427593, bug 426926, bug 421761, bug 421739, bug 421398.

Reported using DrKonqi
Comment 1 Nate Graham 2021-10-14 23:14:13 UTC
#3  0x0000000000000020 in  ()
#4  0x00007ff0f21e7c01 in QScopedPointerDeleter<KWayland::Client::ShmPool>::cleanup(KWayland::Client::ShmPool*) (pointer=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qscopedpointer.h:52
#5  QScopedPointer<KWayland::Client::ShmPool, QScopedPointerDeleter<KWayland::Client::ShmPool> >::~QScopedPointer() (this=0x560668c056b0, __in_chrg=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qscopedpointer.h:107
#6  WindowShadowTile::~WindowShadowTile() (this=0x560668c05670, __in_chrg=<optimized out>) at ./src/windowsystem/windowshadow.cpp:18
#7  0x00007ff0f21e7c3d in WindowShadowTile::~WindowShadowTile() (this=0x560668c05670, __in_chrg=<optimized out>) at ./src/windowsystem/windowshadow.cpp:18
#8  0x00007ff102de9d62 in QtSharedPointer::ExternalRefCountWithContiguousData<KWindowShadowTile>::deleter(QtSharedPointer::ExternalRefCountData*) (self=0x560668fb1ce0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qsharedpointer_impl.h:248
Comment 2 Dipta Biswas 2021-11-23 06:52:31 UTC
Created attachment 143859 [details]
New crash information added by DrKonqi

plasmashell (5.23.3) using Qt 5.15.3

- What I was doing when the application crashed:
kquitapp5 plasmashell && kstart5 plasmashell & using krunner

- Unusual behavior I noticed:
Normally notifications reappear after restarting plasmashell but this time they didn't. Rather DrKonqi appeared in system tray

-- Backtrace (Reduced):
#5  0x00007fa7cc0afc01 in QScopedPointerDeleter<KWayland::Client::ShmPool>::cleanup (pointer=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qscopedpointer.h:52
#6  QScopedPointer<KWayland::Client::ShmPool, QScopedPointerDeleter<KWayland::Client::ShmPool> >::~QScopedPointer (this=0x56300b371380, __in_chrg=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qscopedpointer.h:107
#7  WindowShadowTile::~WindowShadowTile (this=0x56300b371340, __in_chrg=<optimized out>) at ./src/windowsystem/windowshadow.cpp:18
#8  0x00007fa7cc0afc3d in WindowShadowTile::~WindowShadowTile (this=0x56300b371340, __in_chrg=<optimized out>) at ./src/windowsystem/windowshadow.cpp:18
#9  0x00007fa7d4844b24 in QtSharedPointer::ExternalRefCountData::destroy (this=0x563009c6cbb0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qsharedpointer_impl.h:149
Comment 3 Antonio Chirizzi 2021-12-26 13:15:24 UTC
Created attachment 144876 [details]
New crash information added by DrKonqi

plasmashell (5.23.3) using Qt 5.15.2

- What I was doing when the application crashed:
- I had hibernated the machine
- I started it up again after a few hours and it came up normally to the screen lock password request.
  - I wrote the password which was accepted
  - then it showed for 1 second the situation as it was when I hibernated the machine, but 
  - then it went again to the initial black loading screen with the rotating gear
  - I sweared again because every time I start KDE from sleep or hibernate there's always some problem!
  - then I clicked on ctrl-alt-f1 and the black screen went away and all looked normal
- there was a problem though: a "kwin_wayland" taking 100% CPU (line from "top" below):
    28430 antonio   20   0 2482100 145980 113316 R 100.0   0.5   2:45.34 kwin_wayland          
- I tried to kill it, but it didn't die, and it is still running as I am writing this report!
- then I ran "plasma_shell --replace" and I got this SIGSEGV report

- Unusual behavior I noticed:
  - The the initial black loading screen with the rotating gear appeared just after unlocking the screen
  - it went away by pressing ctrl-alt-f1 (I don't know why!)
  - kwin_wayland was stuck on 100% CPU
  - tried to "plasma_shell --replace"

-- Backtrace (Reduced):
#7  0x00007f13a454c501 in QScopedPointerDeleter<KWayland::Client::ShmPool>::cleanup (pointer=<optimized out>) at /usr/include/qt5/QtCore/qscopedpointer.h:60
#8  QScopedPointer<KWayland::Client::ShmPool, QScopedPointerDeleter<KWayland::Client::ShmPool> >::~QScopedPointer (this=<optimized out>, this=<optimized out>) at /usr/include/qt5/QtCore/qscopedpointer.h:107
#9  WindowShadowTile::~WindowShadowTile (this=<optimized out>, this=<optimized out>) at /usr/src/debug/kwayland-integration-5.23.3-1.fc35.x86_64/src/windowsystem/windowshadow.cpp:18
#10 WindowShadowTile::~WindowShadowTile (this=<optimized out>, this=<optimized out>) at /usr/src/debug/kwayland-integration-5.23.3-1.fc35.x86_64/src/windowsystem/windowshadow.cpp:18
#11 0x00007f13c66369b4 in QtSharedPointer::ExternalRefCountData::destroy (this=0x55851e10c420) at /usr/include/qt5/QtCore/qsharedpointer_impl.h:149
Comment 4 Bernie Innocenti 2021-12-28 22:50:14 UTC
Still happening in plasmashell 5.24.4 (Fedora Rawhide).
Comment 5 David Redondo 2022-01-14 15:39:32 UTC
*** Bug 428311 has been marked as a duplicate of this bug. ***
Comment 6 Nate Graham 2022-01-16 15:20:31 UTC
I'm able to reproduce this intermittently when restarting kwin_wayland. Usually plasma fails to start automatically (Bug 448475), but when it does start, it crashes with this backtrace.
Comment 7 Bug Janitor Service 2022-01-17 13:43:15 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwayland-integration/-/merge_requests/17
Comment 8 David Redondo 2022-01-17 15:23:55 UTC
Git commit b05afab7ce03fa767f92f1332b10873074b78f0a by David Redondo.
Committed on 17/01/2022 at 13:39.
Pushed by davidre into branch 'master'.

Prevent double deletion of shmpools

They are tied to the lifetime of the tiles, so don't also make it
managed by qApp.

M  +1    -1    src/windowsystem/waylandintegration.cpp

https://invent.kde.org/plasma/kwayland-integration/commit/b05afab7ce03fa767f92f1332b10873074b78f0a
Comment 9 David Redondo 2022-01-17 15:24:35 UTC
Git commit 1cd12ccf94fc8f3cdb2d2c43c9eaa703e07eabeb by David Redondo.
Committed on 17/01/2022 at 15:24.
Pushed by davidre into branch 'Plasma/5.24'.

Prevent double deletion of shmpools

They are tied to the lifetime of the tiles, so don't also make it
managed by qApp.


(cherry picked from commit b05afab7ce03fa767f92f1332b10873074b78f0a)

M  +1    -1    src/windowsystem/waylandintegration.cpp

https://invent.kde.org/plasma/kwayland-integration/commit/1cd12ccf94fc8f3cdb2d2c43c9eaa703e07eabeb
Comment 10 Nate Graham 2022-01-23 15:00:38 UTC
*** Bug 448844 has been marked as a duplicate of this bug. ***
Comment 11 Nate Graham 2022-02-11 16:36:38 UTC
*** Bug 449812 has been marked as a duplicate of this bug. ***
Comment 12 Nate Graham 2022-02-11 16:37:31 UTC
Got another report (BUG 449812) from 5.24, which was supposed to have this fixed; re-opening.
Comment 13 Nate Graham 2022-02-21 23:08:51 UTC
*** Bug 450523 has been marked as a duplicate of this bug. ***
Comment 14 Nate Graham 2022-03-22 19:13:49 UTC
*** Bug 451287 has been marked as a duplicate of this bug. ***
Comment 15 Nate Graham 2022-04-04 02:56:01 UTC
*** Bug 450506 has been marked as a duplicate of this bug. ***
Comment 16 Jacob Chodubski 2022-05-01 14:20:21 UTC
Created attachment 148495 [details]
New crash information added by DrKonqi

plasmashell (5.24.4) using Qt 5.15.3

- What I was doing when the application crashed:

I restarted plasmashell using script i have bound to hotkey. Script:
kquitapp5 plasmashell || killall plasmashell && kstart5 plasmashell

- Unusual behavior I noticed:

Before the crash plasmashell was bugged after plugging in external monitor. Plasmashell restarted normally, but DrKonqi icon appeared.

- Custom settings of the application:

I have moved panel to left side of the screen and set it's width to 80 pixels.

-- Backtrace (Reduced):
#6  0x00007f3c24534383 in wl_map_insert_at (data=<optimized out>, i=306, flags=1, map=<optimized out>) at ../wayland-1.20.0/src/wayland-util.c:249
#7  proxy_destroy (proxy=0x562f0a73da50) at ../wayland-1.20.0/src/wayland-client.c:503
#8  0x00007f3c24535d3b in wl_proxy_destroy_caller_locks (proxy=0x562f0a73da50) at ../wayland-1.20.0/src/wayland-client.c:523
#9  wl_proxy_marshal_array_flags (proxy=proxy@entry=0x562f0a73da50, opcode=opcode@entry=0, interface=interface@entry=0x0, version=version@entry=1, flags=flags@entry=1, args=args@entry=0x7ffdd9036ae0) at ../wayland-1.20.0/src/wayland-client.c:861
#10 0x00007f3c24536830 in wl_proxy_marshal_flags (proxy=0x562f0a73da50, opcode=0, interface=0x0, version=1, flags=1) at ../wayland-1.20.0/src/wayland-client.c:784
Comment 17 Nate Graham 2022-05-05 20:47:49 UTC
*** Bug 453424 has been marked as a duplicate of this bug. ***
Comment 18 Nataniel 2022-05-09 20:16:08 UTC
I'm having this problem too

Operating System: Manjaro Linux
KDE Plasma Version: 5.24.4
KDE Frameworks Version: 5.92.0
Qt Version: 5.15.3
Kernel Version: 5.15.32-1-MANJARO (64-bit)
Graphics Platform: Wayland
Processors: 8 × Intel® Core™ i7-3840QM CPU @ 2.80GHz
Memory: 15,3 GiB of RAM
Graphics Processor: Mesa DRI Intel® HD Graphics 4000
Comment 19 Nate Graham 2022-06-06 14:41:56 UTC
I'm getting this crash multiple times a day now on current git master.
Comment 20 Nate Graham 2022-06-14 15:03:23 UTC
*** Bug 455157 has been marked as a duplicate of this bug. ***
Comment 21 Nate Graham 2022-06-14 15:03:55 UTC
Raising priority due to number of duplicates.
Comment 22 David Edmundson 2022-06-29 14:46:44 UTC
*** Bug 456040 has been marked as a duplicate of this bug. ***
Comment 23 Nate Graham 2022-06-29 15:02:44 UTC
*** Bug 456037 has been marked as a duplicate of this bug. ***
Comment 24 Bug Janitor Service 2022-07-14 21:58:40 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/plasma-framework/-/merge_requests/564
Comment 25 David Edmundson 2022-07-15 06:20:30 UTC
Git commit 50eaece7aef004b588a684c9fadff0f6787f2ef8 by David Edmundson.
Committed on 15/07/2022 at 06:05.
Pushed by davidedmundson into branch 'master'.

Scope DialogShadows lifetime to application

- DialogShadows own KWayland::Client::buffer objects
 - Buffer cleanup makes wayland calls
 - wayland calls after QGuiApplication has stoped will fail

Q_GLOBAL_STATIC mangaged objects can outlive the QGuiApplication.

M  +6    -12   src/plasmaquick/dialogshadows.cpp

https://invent.kde.org/frameworks/plasma-framework/commit/50eaece7aef004b588a684c9fadff0f6787f2ef8